# vim: set sw=4 ts=4 et nu:

Name:           perl-WWW-Wikipedia
Version:        2.00
Release:        3.1
Summary:        Automated interface to the Wikipedia 
Source:         http://search.cpan.org/CPAN/authors/id/B/BR/BRICAS/WWW-Wikipedia-%{version}.tar.gz
URL:            http://search.cpan.org/dist/WWW-Wikipedia
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Text::Autoformat)
BuildRequires:  perl(URI)
BuildRequires:  perl(LWP::UserAgent)
Requires:       perl(Text::Autoformat)
Requires:       perl(URI)
Requires:       perl(LWP::UserAgent)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
WWW::Wikipedia provides an automated interface to the Wikipedia
<http://www.wikipedia.org>, which is a free, collaborative, online
encyclopedia. This module allows you to search for a topic and return the
resulting entry. It also gives you access to related topics which are also
available via the Wikipedia for that entry.

%package -n wikipedia
Summary:        Command-line Client for Wikipedia
Group:          Productivity/Networking/Web/Utilities
Requires:       %{name} = %{version}

%description -n wikipedia
This package provides a command-line client for the Wikipedia, which is a free,
collaborative, online encyclopedia.

It gives you the ability to search for a topic and return the resulting entry,
as well as access to related topics which are also available via the Wikipedia
for that entry.

%prep
%setup -q -n "WWW-Wikipedia-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

# do not run tests, need an internet connection
# or they just *hang*

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/WWW
%{perl_vendorlib}/WWW/Wikipedia.pm
%{perl_vendorlib}/WWW/Wikipedia
%doc %{perl_man3dir}/WWW::Wikipedia.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/WWW::Wikipedia::*.%{perl_man3ext}%{ext_man}

%files -n wikipedia
%defattr(-,root,root)
%{_bindir}/wikipedia
%doc %{_mandir}/man1/wikipedia.1%{ext_man}


%changelog
* Tue Oct  9 2018 opensuse@dstoecker.de
- Fix build
* Wed Apr  6 2011 pascal.bleser@opensuse.org
- initial version (2.00)
